Bug 537843 - atk-bridge must not use atexit
atk-bridge must not use atexit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: at-spi (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
: 522981 524249 525777 526337 540001 543711 545049 546218 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-16 09:56 EST by Owen Taylor
Modified: 2013-04-08 14:42 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-08 14:42:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Owen Taylor 2009-11-16 09:56:54 EST
The GTK+ module libatk-bridge.so uses g_atexit() to add a function that does various cleanup on process shutdown.

This is just a really bad idea - say no to atexit() - deregistration needs to be automatic whether a process crashes or exits.

We're in particular getting crashes because metacity's and GDK's XIOError handler both call exit() which triggers the atexit() which calls XCloseDisplay() which calls the IOError handler - just bad stuff.

Upstream:

https://bugzilla.gnome.org/show_bug.cgi?id=563546
Comment 1 Owen Taylor 2009-11-16 10:09:14 EST
*** Bug 522981 has been marked as a duplicate of this bug. ***
Comment 2 Owen Taylor 2009-11-16 10:10:52 EST
*** Bug 524249 has been marked as a duplicate of this bug. ***
Comment 3 Owen Taylor 2009-11-16 10:19:05 EST
*** Bug 525777 has been marked as a duplicate of this bug. ***
Comment 4 Owen Taylor 2009-11-16 10:20:10 EST
*** Bug 526337 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2009-11-16 10:42:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Owen Taylor 2009-11-23 15:28:13 EST
*** Bug 540001 has been marked as a duplicate of this bug. ***
Comment 7 Owen Taylor 2009-12-02 17:38:35 EST
*** Bug 543711 has been marked as a duplicate of this bug. ***
Comment 8 Owen Taylor 2009-12-07 12:14:10 EST
*** Bug 545049 has been marked as a duplicate of this bug. ***
Comment 9 Owen Taylor 2009-12-10 18:57:44 EST
*** Bug 546218 has been marked as a duplicate of this bug. ***
Comment 10 Bug Zapper 2010-11-04 02:20:24 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Owen Taylor 2010-11-04 10:24:11 EDT
On F-15 rawhide

 $ nm -D /usr/lib64/gtk-2.0/modules/at-spi-corba/modules/libatk-bridge.so | grep atexit
                 U g_atexit
Comment 12 Matthias Clasen 2012-03-07 06:35:22 EST
This was fixed in at-spi2-atk a while ago:

commit 5b2ebbc50c9476e7afb3c2e1634bdd641b6cba8b
Author: Mike Gorse <mgorse@novell.com>
Date:   Fri Nov 5 09:04:27 2010 -0400

    Remove g_atexit handler.
    
    BGO#563546: at-spi should not use atexit.
    
    Dbus sends a NameOwnerChanged when an application goes away, so
    at-spi2-registryd should be able to do any necessary handling from that.
Comment 13 Fedora End Of Life 2013-04-03 14:48:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.